propellor-5.17: property-based host configuration management in haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Propellor.Property.Laptop

Synopsis

- powertopAutoTuneOnBoot :: RevertableProperty DebianLike DebianLike
- trimSSD :: Property Linux

# Documentation

powertopAutoTuneOnBoot :: RevertableProperty DebianLike DebianLike Source #

Makes powertop auto-tune the system for optimal power consumption on boot.

trimSSD :: Property Linux Source #

Enables weekly TRIM for SSDs, using systemd's fstrim.timer,